<?php


/**
 * Mesocycle Actions for component layout
 * @package    frontend
 * @subpackage modules-mesocycle
 * @author Diego Cebrián
 */

/**
 * Mesocycle actions for component layout
 *
 * @package    frontend
 * @subpackage modules-mesocycle
 * @author     Diego Cebrián Martínez
 */
class mesocycleComponents extends sfComponents{


  /**
   * Action to show all the mesocycles of a macrocycle
   * 
   * 
   */
  public function executeMacrocycle()
  {
    $this->macrocycle= MacrocyclePeer::retrieveByPK($this->macrocycle_id);
    $c=new Criteria();
    $c->add(MesocyclePeer::MACROCYCLE_ID, $this->macrocycle_id);
    $c->addJoin(MesocyclePeer::MACROCYCLE_ID, MacrocyclePeer::ID);
    $this->mesocycles = MesocyclePeer::doSelect($c);
    $this->user =  UserPeer::retrieveByPk($this->user_id);
    
  }
}
?>