<?php

/**
 * Microcycle Actions for component (part o page) layout
 * @package    frontend
 * @subpackage modules-microcycle
 * @author Diego Cebrián
 */

/**
 * Microcycle actions for component (part o page) layout
 *
 * @package    frontend
 * @subpackage modules-microcycle
 * @author     Diego Cebrián Martínez
 */
class microcycleComponents extends sfComponents{


  public function executeMesocycle()
  {
    $this->mesocycle= MesocyclePeer::retrieveByPK($this->mesocycle_id);
    $c=new Criteria();
    $c->add(MicrocyclePeer::MESOCYCLE_ID, $this->mesocycle_id);
    $c->addJoin(MicrocyclePeer::MESOCYCLE_ID, MesocyclePeer::ID);
    $this->microcycles = MicrocyclePeer::doSelect($c);
    $this->user =  UserPeer::retrieveByPk($this->user_id);
    
  }
}
?>