<?php

/**
 * Template that defines all content of the view
 * 
 * @author Diego Cebrián
 * @package frontend
 * @subpackage templates
 */

 ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>

<?php include_http_metas() ?>
<?php include_metas() ?>

<?php include_title() ?>

<link rel="shortcut icon" href="/favicon.ico" />

</head>
<body>
  <div id="header">
  	<div id="logo">
    	<h1><?php echo link_to(image_tag('gesport_logo.png', 'alt=Gesport, '.__('Sportive administration')), '@enter') ?></h1>
    </div>
    <div id="user_data">
     <?php include_slot('header') ?>
    </div>
  </div>

  <div id="content">
  <div id="menu">
     <?php include_component('menu','menu') ?>
  </div>
    <div id="content_main">
      <?php echo $sf_data->getRaw('sf_content') ?>
      <div class="verticalalign"></div>
    </div>
    <div id="content_bar">
      <!-- Nothing for the moment -->
      <div class="verticalalign"></div>
    </div>
  </div>


</body>
</html>
