<?php



class ConversionFactorMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ConversionFactorMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('conversion_factor');
		$tMap->setPhpName('ConversionFactor');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('ORIGIN_ID', 'OriginId', 'int', CreoleTypes::INTEGER, 'unit', 'ID', true, null);

		$tMap->addForeignKey('DESTINY_ID', 'DestinyId', 'int', CreoleTypes::INTEGER, 'unit', 'ID', true, null);

		$tMap->addColumn('CONVERSION_FACTOR', 'ConversionFactor', 'double', CreoleTypes::DOUBLE, false, null);

	} 
} 