<?php


abstract class BaseSeasonPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'season';

	
	const CLASS_DEFAULT = 'lib.model.Season';

	
	const NUM_COLUMNS = 20;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const ID = 'season.ID';

	
	const DESCRIPTION = 'season.DESCRIPTION';

	
	const START_AT = 'season.START_AT';

	
	const LAST_DAY_AT = 'season.LAST_DAY_AT';

	
	const USER_ID = 'season.USER_ID';

	
	const VOLUME_UNIT_TYPE_ID = 'season.VOLUME_UNIT_TYPE_ID';

	
	const THEORIC_VOLUME = 'season.THEORIC_VOLUME';

	
	const REPORTED_VOLUME = 'season.REPORTED_VOLUME';

	
	const VOLUME_UNIT_ID = 'season.VOLUME_UNIT_ID';

	
	const VOLUME_SHOW_UNIT_ID = 'season.VOLUME_SHOW_UNIT_ID';

	
	const THEORIC_INTENSITY1 = 'season.THEORIC_INTENSITY1';

	
	const REPORTED_INTENSITY1 = 'season.REPORTED_INTENSITY1';

	
	const INTENSITY1_LOW_LIMIT = 'season.INTENSITY1_LOW_LIMIT';

	
	const INTENSITY1_HIGH_LIMIT = 'season.INTENSITY1_HIGH_LIMIT';

	
	const THEORIC_INTENSITY2 = 'season.THEORIC_INTENSITY2';

	
	const REPORTED_INTENSITY2 = 'season.REPORTED_INTENSITY2';

	
	const INTENSITY2_HIGH_LIMIT = 'season.INTENSITY2_HIGH_LIMIT';

	
	const THEORIC_INTENSITY3 = 'season.THEORIC_INTENSITY3';

	
	const REPORTED_INTENSITY3 = 'season.REPORTED_INTENSITY3';

	
	const INTENSITY3_HIGH_LIMIT = 'season.INTENSITY3_HIGH_LIMIT';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'Description', 'StartAt', 'LastDayAt', 'UserId', 'VolumeUnitTypeId', 'TheoricVolume', 'ReportedVolume', 'VolumeUnitId', 'VolumeShowUnitId', 'TheoricIntensity1', 'ReportedIntensity1', 'Intensity1LowLimit', 'Intensity1HighLimit', 'TheoricIntensity2', 'ReportedIntensity2', 'Intensity2HighLimit', 'TheoricIntensity3', 'ReportedIntensity3', 'Intensity3HighLimit', ),
		BasePeer::TYPE_COLNAME => array (SeasonPeer::ID, SeasonPeer::DESCRIPTION, SeasonPeer::START_AT, SeasonPeer::LAST_DAY_AT, SeasonPeer::USER_ID, SeasonPeer::VOLUME_UNIT_TYPE_ID, SeasonPeer::THEORIC_VOLUME, SeasonPeer::REPORTED_VOLUME, SeasonPeer::VOLUME_UNIT_ID, SeasonPeer::VOLUME_SHOW_UNIT_ID, SeasonPeer::THEORIC_INTENSITY1, SeasonPeer::REPORTED_INTENSITY1, SeasonPeer::INTENSITY1_LOW_LIMIT, SeasonPeer::INTENSITY1_HIGH_LIMIT, SeasonPeer::THEORIC_INTENSITY2, SeasonPeer::REPORTED_INTENSITY2, SeasonPeer::INTENSITY2_HIGH_LIMIT, SeasonPeer::THEORIC_INTENSITY3, SeasonPeer::REPORTED_INTENSITY3, SeasonPeer::INTENSITY3_HIGH_LIMIT, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'description', 'start_at', 'last_day_at', 'user_id', 'volume_unit_type_id', 'theoric_volume', 'reported_volume', 'volume_unit_id', 'volume_show_unit_id', 'theoric_intensity1', 'reported_intensity1', 'intensity1_low_limit', 'intensity1_high_limit', 'theoric_intensity2', 'reported_intensity2', 'intensity2_high_limit', 'theoric_intensity3', 'reported_intensity3', 'intensity3_high_limit', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'Description' => 1, 'StartAt' => 2, 'LastDayAt' => 3, 'UserId' => 4, 'VolumeUnitTypeId' => 5, 'TheoricVolume' => 6, 'ReportedVolume' => 7, 'VolumeUnitId' => 8, 'VolumeShowUnitId' => 9, 'TheoricIntensity1' => 10, 'ReportedIntensity1' => 11, 'Intensity1LowLimit' => 12, 'Intensity1HighLimit' => 13, 'TheoricIntensity2' => 14, 'ReportedIntensity2' => 15, 'Intensity2HighLimit' => 16, 'TheoricIntensity3' => 17, 'ReportedIntensity3' => 18, 'Intensity3HighLimit' => 19, ),
		BasePeer::TYPE_COLNAME => array (SeasonPeer::ID => 0, SeasonPeer::DESCRIPTION => 1, SeasonPeer::START_AT => 2, SeasonPeer::LAST_DAY_AT => 3, SeasonPeer::USER_ID => 4, SeasonPeer::VOLUME_UNIT_TYPE_ID => 5, SeasonPeer::THEORIC_VOLUME => 6, SeasonPeer::REPORTED_VOLUME => 7, SeasonPeer::VOLUME_UNIT_ID => 8, SeasonPeer::VOLUME_SHOW_UNIT_ID => 9, SeasonPeer::THEORIC_INTENSITY1 => 10, SeasonPeer::REPORTED_INTENSITY1 => 11, SeasonPeer::INTENSITY1_LOW_LIMIT => 12, SeasonPeer::INTENSITY1_HIGH_LIMIT => 13, SeasonPeer::THEORIC_INTENSITY2 => 14, SeasonPeer::REPORTED_INTENSITY2 => 15, SeasonPeer::INTENSITY2_HIGH_LIMIT => 16, SeasonPeer::THEORIC_INTENSITY3 => 17, SeasonPeer::REPORTED_INTENSITY3 => 18, SeasonPeer::INTENSITY3_HIGH_LIMIT => 19, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'description' => 1, 'start_at' => 2, 'last_day_at' => 3, 'user_id' => 4, 'volume_unit_type_id' => 5, 'theoric_volume' => 6, 'reported_volume' => 7, 'volume_unit_id' => 8, 'volume_show_unit_id' => 9, 'theoric_intensity1' => 10, 'reported_intensity1' => 11, 'intensity1_low_limit' => 12, 'intensity1_high_limit' => 13, 'theoric_intensity2' => 14, 'reported_intensity2' => 15, 'intensity2_high_limit' => 16, 'theoric_intensity3' => 17, 'reported_intensity3' => 18, 'intensity3_high_limit' => 19, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/SeasonMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.SeasonMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = SeasonPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(SeasonPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(SeasonPeer::ID);

		$criteria->addSelectColumn(SeasonPeer::DESCRIPTION);

		$criteria->addSelectColumn(SeasonPeer::START_AT);

		$criteria->addSelectColumn(SeasonPeer::LAST_DAY_AT);

		$criteria->addSelectColumn(SeasonPeer::USER_ID);

		$criteria->addSelectColumn(SeasonPeer::VOLUME_UNIT_TYPE_ID);

		$criteria->addSelectColumn(SeasonPeer::THEORIC_VOLUME);

		$criteria->addSelectColumn(SeasonPeer::REPORTED_VOLUME);

		$criteria->addSelectColumn(SeasonPeer::VOLUME_UNIT_ID);

		$criteria->addSelectColumn(SeasonPeer::VOLUME_SHOW_UNIT_ID);

		$criteria->addSelectColumn(SeasonPeer::THEORIC_INTENSITY1);

		$criteria->addSelectColumn(SeasonPeer::REPORTED_INTENSITY1);

		$criteria->addSelectColumn(SeasonPeer::INTENSITY1_LOW_LIMIT);

		$criteria->addSelectColumn(SeasonPeer::INTENSITY1_HIGH_LIMIT);

		$criteria->addSelectColumn(SeasonPeer::THEORIC_INTENSITY2);

		$criteria->addSelectColumn(SeasonPeer::REPORTED_INTENSITY2);

		$criteria->addSelectColumn(SeasonPeer::INTENSITY2_HIGH_LIMIT);

		$criteria->addSelectColumn(SeasonPeer::THEORIC_INTENSITY3);

		$criteria->addSelectColumn(SeasonPeer::REPORTED_INTENSITY3);

		$criteria->addSelectColumn(SeasonPeer::INTENSITY3_HIGH_LIMIT);

	}

	const COUNT = 'COUNT(season.ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT season.ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SeasonPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SeasonPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = SeasonPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = SeasonPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return SeasonPeer::populateObjects(SeasonPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			SeasonPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = SeasonPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinUser(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SeasonPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SeasonPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SeasonPeer::USER_ID, UserPeer::ID);

		$rs = SeasonPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinUnitType(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SeasonPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SeasonPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SeasonPeer::VOLUME_UNIT_TYPE_ID, UnitTypePeer::ID);

		$rs = SeasonPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinUnitRelatedByVolumeUnitId(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SeasonPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SeasonPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SeasonPeer::VOLUME_UNIT_ID, UnitPeer::ID);

		$rs = SeasonPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinUnitRelatedByVolumeShowUnitId(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SeasonPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SeasonPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SeasonPeer::VOLUME_SHOW_UNIT_ID, UnitPeer::ID);

		$rs = SeasonPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinUser(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SeasonPeer::addSelectColumns($c);
		$startcol = (SeasonPeer::NUM_COLUMNS - SeasonPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		UserPeer::addSelectColumns($c);

		$c->addJoin(SeasonPeer::USER_ID, UserPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SeasonPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = UserPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getUser(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addSeason($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initSeasons();
				$obj2->addSeason($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinUnitType(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SeasonPeer::addSelectColumns($c);
		$startcol = (SeasonPeer::NUM_COLUMNS - SeasonPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		UnitTypePeer::addSelectColumns($c);

		$c->addJoin(SeasonPeer::VOLUME_UNIT_TYPE_ID, UnitTypePeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SeasonPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = UnitTypePeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getUnitType(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addSeason($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initSeasons();
				$obj2->addSeason($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinUnitRelatedByVolumeUnitId(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SeasonPeer::addSelectColumns($c);
		$startcol = (SeasonPeer::NUM_COLUMNS - SeasonPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		UnitPeer::addSelectColumns($c);

		$c->addJoin(SeasonPeer::VOLUME_UNIT_ID, UnitPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SeasonPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = UnitPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getUnitRelatedByVolumeUnitId(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addSeasonRelatedByVolumeUnitId($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initSeasonsRelatedByVolumeUnitId();
				$obj2->addSeasonRelatedByVolumeUnitId($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinUnitRelatedByVolumeShowUnitId(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SeasonPeer::addSelectColumns($c);
		$startcol = (SeasonPeer::NUM_COLUMNS - SeasonPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		UnitPeer::addSelectColumns($c);

		$c->addJoin(SeasonPeer::VOLUME_SHOW_UNIT_ID, UnitPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SeasonPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = UnitPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getUnitRelatedByVolumeShowUnitId(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addSeasonRelatedByVolumeShowUnitId($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initSeasonsRelatedByVolumeShowUnitId();
				$obj2->addSeasonRelatedByVolumeShowUnitId($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SeasonPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SeasonPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SeasonPeer::USER_ID, UserPeer::ID);

		$criteria->addJoin(SeasonPeer::VOLUME_UNIT_TYPE_ID, UnitTypePeer::ID);

		$criteria->addJoin(SeasonPeer::VOLUME_UNIT_ID, UnitPeer::ID);

		$criteria->addJoin(SeasonPeer::VOLUME_SHOW_UNIT_ID, UnitPeer::ID);

		$rs = SeasonPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SeasonPeer::addSelectColumns($c);
		$startcol2 = (SeasonPeer::NUM_COLUMNS - SeasonPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		UserPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + UserPeer::NUM_COLUMNS;

		UnitTypePeer::addSelectColumns($c);
		$startcol4 = $startcol3 + UnitTypePeer::NUM_COLUMNS;

		UnitPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + UnitPeer::NUM_COLUMNS;

		UnitPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + UnitPeer::NUM_COLUMNS;

		$c->addJoin(SeasonPeer::USER_ID, UserPeer::ID);

		$c->addJoin(SeasonPeer::VOLUME_UNIT_TYPE_ID, UnitTypePeer::ID);

		$c->addJoin(SeasonPeer::VOLUME_UNIT_ID, UnitPeer::ID);

		$c->addJoin(SeasonPeer::VOLUME_SHOW_UNIT_ID, UnitPeer::ID);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SeasonPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = UserPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getUser(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addSeason($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initSeasons();
				$obj2->addSeason($obj1);
			}


					
			$omClass = UnitTypePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getUnitType(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addSeason($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initSeasons();
				$obj3->addSeason($obj1);
			}


					
			$omClass = UnitPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4 = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getUnitRelatedByVolumeUnitId(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addSeasonRelatedByVolumeUnitId($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj4->initSeasonsRelatedByVolumeUnitId();
				$obj4->addSeasonRelatedByVolumeUnitId($obj1);
			}


					
			$omClass = UnitPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj5 = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getUnitRelatedByVolumeShowUnitId(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addSeasonRelatedByVolumeShowUnitId($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj5->initSeasonsRelatedByVolumeShowUnitId();
				$obj5->addSeasonRelatedByVolumeShowUnitId($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptUser(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SeasonPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SeasonPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SeasonPeer::VOLUME_UNIT_TYPE_ID, UnitTypePeer::ID);

		$criteria->addJoin(SeasonPeer::VOLUME_UNIT_ID, UnitPeer::ID);

		$criteria->addJoin(SeasonPeer::VOLUME_SHOW_UNIT_ID, UnitPeer::ID);

		$rs = SeasonPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptUnitType(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SeasonPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SeasonPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SeasonPeer::USER_ID, UserPeer::ID);

		$criteria->addJoin(SeasonPeer::VOLUME_UNIT_ID, UnitPeer::ID);

		$criteria->addJoin(SeasonPeer::VOLUME_SHOW_UNIT_ID, UnitPeer::ID);

		$rs = SeasonPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptUnitRelatedByVolumeUnitId(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SeasonPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SeasonPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SeasonPeer::USER_ID, UserPeer::ID);

		$criteria->addJoin(SeasonPeer::VOLUME_UNIT_TYPE_ID, UnitTypePeer::ID);

		$rs = SeasonPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptUnitRelatedByVolumeShowUnitId(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SeasonPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SeasonPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SeasonPeer::USER_ID, UserPeer::ID);

		$criteria->addJoin(SeasonPeer::VOLUME_UNIT_TYPE_ID, UnitTypePeer::ID);

		$rs = SeasonPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptUser(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SeasonPeer::addSelectColumns($c);
		$startcol2 = (SeasonPeer::NUM_COLUMNS - SeasonPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		UnitTypePeer::addSelectColumns($c);
		$startcol3 = $startcol2 + UnitTypePeer::NUM_COLUMNS;

		UnitPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + UnitPeer::NUM_COLUMNS;

		UnitPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + UnitPeer::NUM_COLUMNS;

		$c->addJoin(SeasonPeer::VOLUME_UNIT_TYPE_ID, UnitTypePeer::ID);

		$c->addJoin(SeasonPeer::VOLUME_UNIT_ID, UnitPeer::ID);

		$c->addJoin(SeasonPeer::VOLUME_SHOW_UNIT_ID, UnitPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SeasonPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = UnitTypePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getUnitType(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addSeason($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initSeasons();
				$obj2->addSeason($obj1);
			}

			$omClass = UnitPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getUnitRelatedByVolumeUnitId(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addSeasonRelatedByVolumeUnitId($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initSeasonsRelatedByVolumeUnitId();
				$obj3->addSeasonRelatedByVolumeUnitId($obj1);
			}

			$omClass = UnitPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getUnitRelatedByVolumeShowUnitId(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addSeasonRelatedByVolumeShowUnitId($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initSeasonsRelatedByVolumeShowUnitId();
				$obj4->addSeasonRelatedByVolumeShowUnitId($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptUnitType(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SeasonPeer::addSelectColumns($c);
		$startcol2 = (SeasonPeer::NUM_COLUMNS - SeasonPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		UserPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + UserPeer::NUM_COLUMNS;

		UnitPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + UnitPeer::NUM_COLUMNS;

		UnitPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + UnitPeer::NUM_COLUMNS;

		$c->addJoin(SeasonPeer::USER_ID, UserPeer::ID);

		$c->addJoin(SeasonPeer::VOLUME_UNIT_ID, UnitPeer::ID);

		$c->addJoin(SeasonPeer::VOLUME_SHOW_UNIT_ID, UnitPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SeasonPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = UserPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getUser(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addSeason($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initSeasons();
				$obj2->addSeason($obj1);
			}

			$omClass = UnitPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getUnitRelatedByVolumeUnitId(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addSeasonRelatedByVolumeUnitId($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initSeasonsRelatedByVolumeUnitId();
				$obj3->addSeasonRelatedByVolumeUnitId($obj1);
			}

			$omClass = UnitPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getUnitRelatedByVolumeShowUnitId(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addSeasonRelatedByVolumeShowUnitId($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initSeasonsRelatedByVolumeShowUnitId();
				$obj4->addSeasonRelatedByVolumeShowUnitId($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptUnitRelatedByVolumeUnitId(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SeasonPeer::addSelectColumns($c);
		$startcol2 = (SeasonPeer::NUM_COLUMNS - SeasonPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		UserPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + UserPeer::NUM_COLUMNS;

		UnitTypePeer::addSelectColumns($c);
		$startcol4 = $startcol3 + UnitTypePeer::NUM_COLUMNS;

		$c->addJoin(SeasonPeer::USER_ID, UserPeer::ID);

		$c->addJoin(SeasonPeer::VOLUME_UNIT_TYPE_ID, UnitTypePeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SeasonPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = UserPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getUser(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addSeason($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initSeasons();
				$obj2->addSeason($obj1);
			}

			$omClass = UnitTypePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getUnitType(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addSeason($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initSeasons();
				$obj3->addSeason($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptUnitRelatedByVolumeShowUnitId(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SeasonPeer::addSelectColumns($c);
		$startcol2 = (SeasonPeer::NUM_COLUMNS - SeasonPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		UserPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + UserPeer::NUM_COLUMNS;

		UnitTypePeer::addSelectColumns($c);
		$startcol4 = $startcol3 + UnitTypePeer::NUM_COLUMNS;

		$c->addJoin(SeasonPeer::USER_ID, UserPeer::ID);

		$c->addJoin(SeasonPeer::VOLUME_UNIT_TYPE_ID, UnitTypePeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SeasonPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = UserPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getUser(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addSeason($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initSeasons();
				$obj2->addSeason($obj1);
			}

			$omClass = UnitTypePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getUnitType(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addSeason($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initSeasons();
				$obj3->addSeason($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}

	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return SeasonPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		$criteria->remove(SeasonPeer::ID); 

				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(SeasonPeer::ID);
			$selectCriteria->add(SeasonPeer::ID, $criteria->remove(SeasonPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(SeasonPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(SeasonPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof Season) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(SeasonPeer::ID, (array) $values, Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(Season $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(SeasonPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(SeasonPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(SeasonPeer::DATABASE_NAME, SeasonPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = SeasonPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$criteria = new Criteria(SeasonPeer::DATABASE_NAME);

		$criteria->add(SeasonPeer::ID, $pk);


		$v = SeasonPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria();
			$criteria->add(SeasonPeer::ID, $pks, Criteria::IN);
			$objs = SeasonPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 
if (Propel::isInit()) {
			try {
		BaseSeasonPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/SeasonMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.SeasonMapBuilder');
}
