<?php
/**
 * Macrocycle Actions for component (part o page) layout
 * @package    frontend
 * @subpackage modules-macrocycle
 * @author Diego Cebrián
 */

/**
 * Macrocycle actions for component (part o page) layout
 *
 * @package    frontend
 * @subpackage modules-macrocycle
 * @author     Diego Cebrián Martínez
 */
class macrocycleComponents extends sfComponents{


  /**
   * Action to show all macrocycles of a season
   * 
   */
  public function executeSeason()
  {
    $this->season= SeasonPeer::retrieveByPK($this->season_id);
    $c=new Criteria();
    $c->add(MacrocyclePeer::SEASON_ID, $this->season_id);
    $c->addJoin(MacrocyclePeer::SEASON_ID, SeasonPeer::ID);
    $this->macrocycles = MacrocyclePeer::doSelect($c);
    $this->user =  UserPeer::retrieveByPk($this->user_id);
    
  }
}
?>