<?php


/**
 * Template for the apply mail to admin
 * 
 * @author Diego Cebrián
 * @package    frontend
 * @subpackage modules-macrocycle-templates
 * @uses string nickname: the nickname of the user to add
 * @uses string name: the name of the user to add
 * @uses string last: the last name of the user to add
 * @uses string born_at: the birthday of the user to add
 * @uses string email: the email of the user to add
 * @uses string rola: the role of the user to add
 */
?>

<body>
<p><?php echo __('There is a new user apply', null, 'mail')?>!!</p>
 
<p><?php echo __('This is his/her data', null, 'mail')?>:</p>
<ul>
  <li>
    <?php echo __('Nickname')?>: <strong><?php echo $nickname ?></strong><br/>
  </li>
  <li>
    <?php echo __('Name')?>: <strong><?php echo $name ?></strong><br/>
  </li>
  <li>
    <?php echo __('Last name')?>: <strong><?php echo $lastName ?></strong><br/>
  </li>
  <li>
    <?php echo __('Born at')?>: <strong><?php echo $born_at ?></strong><br/>
  </li>
  <li>
    <?php echo __('Email')?>: <strong><?php echo $email ?></strong><br/>
  </li>
  <li>
    <?php echo __('role')?>: <strong><?php echo $role ?></strong><br/>   
  </li> 
</ul>
 
<p><?php echo __('To get connected, go to the', null, 'mail')?> <?php echo link_to(__('login page'), '@login', 'absolute=true') ?> 
<?php echo __('and enter these codes', null, 'mail')?>.</p>
 
<p><?php echo __('We hope to see you soon on', null, 'mail')?> <img src="cid:CID1" /></p>
</body>