<?php

/**
 * Template for the menu
 * 
 * @author Diego Cebrián
 * @package    frontend
 * @subpackage modules-menu-templates
 */
?>
<h2 class="menu"><?php echo __('Menu') ?></h2>
<ul class="menu">
<?php foreach ($menugroups as $menugroup): ?>
	<li class="menu_item"><?php echo __($menugroup['name']) ?>
	<ul class="submenu">
	<?php foreach ($menugroup['menuitem'] as $menuitem):?>
    <li class="submenu_item" ><?php echo link_to(__($menuitem['name']), $menuitem['target'], $menuitem['param']); ?></li>
		<?php endforeach; ?>
	</ul>
	</li>
	<?php endforeach; ?>
</ul>
