<?php

/**
 * Session Actions for component (part o page) layout
 * @package    frontend
 * @subpackage modules-session
 * @author Diego Cebrián
 */

/**
 * Session actions for component (part o page) layout
 *
 * @package    frontend
 * @subpackage modules-session
 * @author     Diego Cebrián Martínez
 */
class sessionComponents extends sfComponents{


  public function executeMicrocycle()
  {
    $this->microcycle= MicrocyclePeer::retrieveByPK($this->microcycle_id);
    $c=new Criteria();
    $c->add(SessionPeer::MICROCYCLE_ID, $this->microcycle_id);
    $c->addJoin(SessionPeer::MICROCYCLE_ID, MicrocyclePeer::ID);
    $this->sessions = SessionPeer::doSelect($c);
    $this->user =  UserPeer::retrieveByPk($this->user_id);
    
  }
}
?>