<?php

/**
 * Template to show the form to login
 * 
 * @author Diego Cebrián
 * @package frontend
 * @subpackage modules-article-user
 */
 ?>
<?php use_helper('Validation') ?>

<?php echo form_tag('@login') ?>
 
<?php slot('header'); ?>
<?php echo image_tag('admin/help', 'alt=help class=error_ico')?>
  <h1 class="help"><?php echo __('Help for').': '.__('Login form') ?></h1>
  <p class="help"><?php echo __('Enter your username and password and click on "Sign in" to login to the applicaction') ?></p>
  <p class="help"><?php echo __('You can recover your passsword') ?></p>
  <p class="help"><?php echo __('To create a new account you can apply for one in').' '.link_to(__('register'),'@register') ?></p>
<?php end_slot(); ?>

	<div class="form_row">
	  <?php echo __(form_error('nickname')) ?>
	  <div class="form_label_left"><label for="nickname"><?php echo __('Nickname');?>:</label></div>
	  <div class="form_field_left"><?php echo input_tag('nickname', $sf_params->get('nickname')) ?></div>
	</div>
	 
	<div class="form_row">
	  <?php echo __(form_error('password')) ?>
	  <div class="form_label_left"><label for="password"><?php echo __('Password');?>:</label></div>
	  <div class="form_field_left"><?php echo input_password_tag('password') ?></div>
	</div>
 
  <?php echo input_hidden_tag('referer', $sf_request->getAttribute('referer')) ?>
  <?php echo submit_tag(__('Sign in')) ?>
  <?php echo link_to(__('I can not remember my password'), '@user_self_remember_password' ) ?>
 
</form>

