<?php


/**
 * Template to show the confirmation of the sended password
 * 
 * @author Diego Cebrián
 * @package    frontend
 * @subpackage modules-user-templates
 */
?>

 
<?php slot('header'); ?>
<?php echo image_tag('admin/help', 'alt=help class=error_ico')?>
  <h1 class="help"><?php echo __('Help for').': '.__('Recovered password') ?></h1>
  <p class="help"><?php echo __('Check your mailbox and try to log in with the new data') ?></p>
<?php end_slot(); ?>
<h2><?php echo __('Confirmation - login information sent') ?></h2>
 
<p><?php echo __('Your login information was sent to') ?></p>
<p><?php echo $sf_params->get('email') ?></p>
<p><?php echo __('You should receive it shortly, so you can proceed to the') ?> <?php echo link_to(__('login page'), '@login') ?>.</p>
