<?php
 
/**
 * File to load to the database the example data from data/fixtures
 * 
 * @author Diego Cebrián
 * @package gesport
 * @subpackage batch
 */

/**
 * Define path to the project base path
 */
define('SF_ROOT_DIR',    realpath(dirname(__FILE__).'/..'));

/**
 * Define the application environment
 */
define('SF_APP',         'frontend');

/**
 * Define the execution level environment
 */
define('SF_ENVIRONMENT', 'dev');

/**
 * Define the debug output
 */
define('SF_DEBUG',       true);
 
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'apps'.DIRECTORY_SEPARATOR.SF_APP.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
 
// initialize database manager
$databaseManager = new sfDatabaseManager();
$databaseManager->initialize();

$data = new sfPropelData();
$data->loadData(sfConfig::get('sf_data_dir').DIRECTORY_SEPARATOR.'fixtures');

?>
