<?php

/**
 * Subclass for representing a row from the 'unit' table.
 *
 * 
 *

 * @package lib
 * @subpackage model
 * @author Diego Cebrián
 */ 

/**
 * @package lib
 * @subpackage model
 * @author Diego Cebrián
 *
 */ 
class Unit extends BaseUnit
{

	function getDescription() {	
		parent::setCulture(sfContext::getInstance()->getUser()->getCulture());
		return parent::getDescription();
	}
	
	function setDescription($description) {
		parent::setCulture(sfContext::getInstance()->getUser()->getCulture());
		parent::setDescription($description);
	}
	
	function __toString() {	
		if($this->getDescription()!=null){
		  return $this->getDescription();
		}
		else{
			return parent::getSymbol();
		}
	}
}
