<?php


abstract class BaseSessionPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'session';

	
	const CLASS_DEFAULT = 'lib.model.Session';

	
	const NUM_COLUMNS = 17;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const ID = 'session.ID';

	
	const DATE = 'session.DATE';

	
	const MORNING_SESSION = 'session.MORNING_SESSION';

	
	const FEEDBACK = 'session.FEEDBACK';

	
	const DESCRIPTION = 'session.DESCRIPTION';

	
	const MICROCYCLE_ID = 'session.MICROCYCLE_ID';

	
	const WAKE_UP_HR = 'session.WAKE_UP_HR';

	
	const THEORIC_VOLUME = 'session.THEORIC_VOLUME';

	
	const REPORTED_VOLUME = 'session.REPORTED_VOLUME';

	
	const THEORIC_INTENSITY1 = 'session.THEORIC_INTENSITY1';

	
	const REPORTED_INTENSITY1 = 'session.REPORTED_INTENSITY1';

	
	const THEORIC_INTENSITY2 = 'session.THEORIC_INTENSITY2';

	
	const REPORTED_INTENSITY2 = 'session.REPORTED_INTENSITY2';

	
	const THEORIC_INTENSITY3 = 'session.THEORIC_INTENSITY3';

	
	const REPORTED_INTENSITY3 = 'session.REPORTED_INTENSITY3';

	
	const NEW_REPORT = 'session.NEW_REPORT';

	
	const REPORTED = 'session.REPORTED';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'Date', 'MorningSession', 'Feedback', 'Description', 'MicrocycleId', 'WakeUpHr', 'TheoricVolume', 'ReportedVolume', 'TheoricIntensity1', 'ReportedIntensity1', 'TheoricIntensity2', 'ReportedIntensity2', 'TheoricIntensity3', 'ReportedIntensity3', 'NewReport', 'Reported', ),
		BasePeer::TYPE_COLNAME => array (SessionPeer::ID, SessionPeer::DATE, SessionPeer::MORNING_SESSION, SessionPeer::FEEDBACK, SessionPeer::DESCRIPTION, SessionPeer::MICROCYCLE_ID, SessionPeer::WAKE_UP_HR, SessionPeer::THEORIC_VOLUME, SessionPeer::REPORTED_VOLUME, SessionPeer::THEORIC_INTENSITY1, SessionPeer::REPORTED_INTENSITY1, SessionPeer::THEORIC_INTENSITY2, SessionPeer::REPORTED_INTENSITY2, SessionPeer::THEORIC_INTENSITY3, SessionPeer::REPORTED_INTENSITY3, SessionPeer::NEW_REPORT, SessionPeer::REPORTED, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'date', 'morning_session', 'feedback', 'description', 'microcycle_id', 'wake_up_hr', 'theoric_volume', 'reported_volume', 'theoric_intensity1', 'reported_intensity1', 'theoric_intensity2', 'reported_intensity2', 'theoric_intensity3', 'reported_intensity3', 'new_report', 'reported', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'Date' => 1, 'MorningSession' => 2, 'Feedback' => 3, 'Description' => 4, 'MicrocycleId' => 5, 'WakeUpHr' => 6, 'TheoricVolume' => 7, 'ReportedVolume' => 8, 'TheoricIntensity1' => 9, 'ReportedIntensity1' => 10, 'TheoricIntensity2' => 11, 'ReportedIntensity2' => 12, 'TheoricIntensity3' => 13, 'ReportedIntensity3' => 14, 'NewReport' => 15, 'Reported' => 16, ),
		BasePeer::TYPE_COLNAME => array (SessionPeer::ID => 0, SessionPeer::DATE => 1, SessionPeer::MORNING_SESSION => 2, SessionPeer::FEEDBACK => 3, SessionPeer::DESCRIPTION => 4, SessionPeer::MICROCYCLE_ID => 5, SessionPeer::WAKE_UP_HR => 6, SessionPeer::THEORIC_VOLUME => 7, SessionPeer::REPORTED_VOLUME => 8, SessionPeer::THEORIC_INTENSITY1 => 9, SessionPeer::REPORTED_INTENSITY1 => 10, SessionPeer::THEORIC_INTENSITY2 => 11, SessionPeer::REPORTED_INTENSITY2 => 12, SessionPeer::THEORIC_INTENSITY3 => 13, SessionPeer::REPORTED_INTENSITY3 => 14, SessionPeer::NEW_REPORT => 15, SessionPeer::REPORTED => 16, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'date' => 1, 'morning_session' => 2, 'feedback' => 3, 'description' => 4, 'microcycle_id' => 5, 'wake_up_hr' => 6, 'theoric_volume' => 7, 'reported_volume' => 8, 'theoric_intensity1' => 9, 'reported_intensity1' => 10, 'theoric_intensity2' => 11, 'reported_intensity2' => 12, 'theoric_intensity3' => 13, 'reported_intensity3' => 14, 'new_report' => 15, 'reported' => 16, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/SessionMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.SessionMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = SessionPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(SessionPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(SessionPeer::ID);

		$criteria->addSelectColumn(SessionPeer::DATE);

		$criteria->addSelectColumn(SessionPeer::MORNING_SESSION);

		$criteria->addSelectColumn(SessionPeer::FEEDBACK);

		$criteria->addSelectColumn(SessionPeer::DESCRIPTION);

		$criteria->addSelectColumn(SessionPeer::MICROCYCLE_ID);

		$criteria->addSelectColumn(SessionPeer::WAKE_UP_HR);

		$criteria->addSelectColumn(SessionPeer::THEORIC_VOLUME);

		$criteria->addSelectColumn(SessionPeer::REPORTED_VOLUME);

		$criteria->addSelectColumn(SessionPeer::THEORIC_INTENSITY1);

		$criteria->addSelectColumn(SessionPeer::REPORTED_INTENSITY1);

		$criteria->addSelectColumn(SessionPeer::THEORIC_INTENSITY2);

		$criteria->addSelectColumn(SessionPeer::REPORTED_INTENSITY2);

		$criteria->addSelectColumn(SessionPeer::THEORIC_INTENSITY3);

		$criteria->addSelectColumn(SessionPeer::REPORTED_INTENSITY3);

		$criteria->addSelectColumn(SessionPeer::NEW_REPORT);

		$criteria->addSelectColumn(SessionPeer::REPORTED);

	}

	const COUNT = 'COUNT(session.ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT session.ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SessionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SessionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = SessionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = SessionPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return SessionPeer::populateObjects(SessionPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			SessionPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = SessionPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinMicrocycle(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SessionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SessionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SessionPeer::MICROCYCLE_ID, MicrocyclePeer::ID);

		$rs = SessionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinMicrocycle(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SessionPeer::addSelectColumns($c);
		$startcol = (SessionPeer::NUM_COLUMNS - SessionPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		MicrocyclePeer::addSelectColumns($c);

		$c->addJoin(SessionPeer::MICROCYCLE_ID, MicrocyclePeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SessionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = MicrocyclePeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getMicrocycle(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addSession($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initSessions();
				$obj2->addSession($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SessionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SessionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SessionPeer::MICROCYCLE_ID, MicrocyclePeer::ID);

		$rs = SessionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SessionPeer::addSelectColumns($c);
		$startcol2 = (SessionPeer::NUM_COLUMNS - SessionPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		MicrocyclePeer::addSelectColumns($c);
		$startcol3 = $startcol2 + MicrocyclePeer::NUM_COLUMNS;

		$c->addJoin(SessionPeer::MICROCYCLE_ID, MicrocyclePeer::ID);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SessionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = MicrocyclePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getMicrocycle(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addSession($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initSessions();
				$obj2->addSession($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}

	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return SessionPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		$criteria->remove(SessionPeer::ID); 

				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(SessionPeer::ID);
			$selectCriteria->add(SessionPeer::ID, $criteria->remove(SessionPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(SessionPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(SessionPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof Session) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(SessionPeer::ID, (array) $values, Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(Session $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(SessionPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(SessionPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(SessionPeer::DATABASE_NAME, SessionPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = SessionPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$criteria = new Criteria(SessionPeer::DATABASE_NAME);

		$criteria->add(SessionPeer::ID, $pk);


		$v = SessionPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria();
			$criteria->add(SessionPeer::ID, $pks, Criteria::IN);
			$objs = SessionPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 
if (Propel::isInit()) {
			try {
		BaseSessionPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/SessionMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.SessionMapBuilder');
}
